package com.sound;

import android.app.Application;
import android.content.Context;

public class MainApplication extends Application {
    /**
     * 全局的上下文
     */
    private static Context mContext;

    @Override
    public void onCreate() {
        super.onCreate();
        //获取应用的上下文并赋值给 mContext
        mContext = getApplicationContext();
    }

    /**
     * 获取context
     * @return
     */
    public static Context getContext(){
        return mContext;
    }

    //重写 onLowMemory 方法，在系统内存不足时调用。这里只是调用了父类的 onLowMemory 方法，没有做其他处理
    @Override
    public void onLowMemory() {
        super.onLowMemory();
    }

}
